# PXMLBase Class Reference

`#include <pxml.h>`

Inheritance diagram for PXMLBase:

List of all members.

## Public Types

| DEFAULT_MAX_ENTITY_LENGTH = 4096
| NoOptions = 0x0000
| Indent = 0x0001
| NewLineAfterElement = 0x0002
| NoIgnoreWhiteSpace = 0x0004
| ignored
| CloseExtended = 0x0008
| ignored
| WithNS = 0x0010
| FragmentOnly = 0x0020
| XML fragment, not complete document.
| AllOptions = 0xffff
| UninitialisedStandAlone = -2
| UnknownStandAlone = -1
| NotStandAlone
| IsStandAlone
enum | { DEFAULT_MAX_ENTITY_LENGTH = 4096 }
enum | Options { NoOptions = 0x0000, Indent = 0x0001, NewLineAfterElement = 0x0002, NoIgnoreWhiteSpace = 0x0004, CloseExtended = 0x0008, WithNS = 0x0010, FragmentOnly = 0x0020, AllOptions = 0xffff }
enum | StandAloneType { UninitialisedStandAlone = -2, UnknownStandAlone = -1, NotStandAlone, IsStandAlone }

## Public Member Functions

| PXMLBase (int opts=NoOptions)
void | SetOptions (int opts)
int | GetOptions () const
virtual PBoolean | IsNoIndentElement (const PString &) const
void | SetMaxEntityLength (unsigned len)
unsigned | GetMaxEntityLength () const

## Protected Attributes

int | m_options
unsigned | m_maxEntityLength

## Friends

__inline friend Options | operator| (Options o1, Options o2)
__inline friend Options | operator & (Options o1, Options o2)

## Member Enumeration Documentation

anonymous enum

Enumerator:

  DEFAULT_MAX_ENTITY_LENGTH |

enum PXMLBase::Options

Enumerator:

  NoOptions |
  Indent |
  NewLineAfterElement |
  NoIgnoreWhiteSpace | ignored
  CloseExtended | ignored
  WithNS |
  FragmentOnly | XML fragment, not complete document.
  AllOptions |

enum PXMLBase::StandAloneType

Enumerator:

  UninitialisedStandAlone |
  UnknownStandAlone |
  NotStandAlone |
  IsStandAlone |

## Constructor & Destructor Documentation

PXMLBase::PXMLBase | ( | int | opts = `NoOptions` | ) |

## Member Function Documentation

unsigned PXMLBase::GetMaxEntityLength | ( |  | ) | const`[inline]`

int PXMLBase::GetOptions | ( |  | ) | const`[inline]`

virtual PBoolean PXMLBase::IsNoIndentElement | ( | const PString & |  | ) | const`[inline, virtual]`

Reimplemented in PXML.

void PXMLBase::SetMaxEntityLength | ( | unsigned | len | ) | `[inline]`

void PXMLBase::SetOptions | ( | int | opts | ) | `[inline]`

## Friends And Related Function Documentation

__inline friend Options operator & | ( | Options | o1,
|  | Options | o2 |
| ) |  |  | `[friend]`

__inline friend Options operator| | ( | Options | o1,
|  | Options | o2 |
| ) |  |  | `[friend]`

## Member Data Documentation

unsigned PXMLBase::m_maxEntityLength `[protected]`

int PXMLBase::m_options `[protected]`

The documentation for this class was generated from the following file:

- pxml.h